<?php
namespace Saleh7\Zatca;

/**
 * Class UnitCode
 *
 * Provides constants for standardized unit codes.
 *
 * For further extension, see:
 * - UNECE Recommendation 20: http://tfig.unece.org/contents/recommendation-20.htm
 * - UNECE Document (ZIP): http://www.unece.org/fileadmin/DAM/cefact/recommendations/rec20/rec20_Rev7e_2010.zip
 */
final class UnitCode
{
    public const UNIT = 'C62';
    public const PIECE = 'H87';
}
